Skip to main content
POST
/
v1
/
process
/
createProcess
curl --location 'https://api.sarasfinance.com/v1/process/createProcess' \
--header 'Content-Type: application/json' \
--header 'Authorization: Bearer <token>' \
--data '{
    "fields": {
        "remarks": 2026
    },
    "subProjectId": "93d599a6-a396-4ef6-b30e-aff95c56c523"
}'
{
  "id": "proc_8f29c01",
  "status": "success",
  "message": "Process created successfully"
}

Body Parameters

subProjectId
string
required
The unique identifier for the sub-project where the process will be created.
fields
object
Dynamic fields to initialize the process with. Example: {"remarks": 2026}

Response

id
string
The unique ID of the newly created process.
status
string
Success or failure status message.
curl --location 'https://api.sarasfinance.com/v1/process/createProcess' \
--header 'Content-Type: application/json' \
--header 'Authorization: Bearer <token>' \
--data '{
    "fields": {
        "remarks": 2026
    },
    "subProjectId": "93d599a6-a396-4ef6-b30e-aff95c56c523"
}'
{
  "id": "proc_8f29c01",
  "status": "success",
  "message": "Process created successfully"
}

Error Codes

CodeIDDescription
ERROR_PROCESS_META_IS_MISSING_IN_REQUEST1200Metadata missing in request
ERROR_SUBPROCESS_META_NOT_FOUND1202Sub-project metadata not found
ERROR_NOT_ALLOWED_TO_CREATE1206User unauthorized to create data
ERROR_CREATING_PROCESS1222Internal error during process creation
ERROR_CREATING_PROCESS_DEFAULT_STAGE_NOT_SET1223Default stage configuration missing
ERROR_PROCESS_INVALID_FIELD_VALUE1232Invalid value provided for field